Beefy Boxes and Bandwidth Generously Provided by pair Networks
Keep It Simple, Stupid
 
PerlMonks  

Re: Unable to install win32-API-0.41 module on perl 5.6.1.635

by Rishi2Monk (Initiate)
on Jan 04, 2013 at 07:31 UTC ( #1011574=note: print w/ replies, xml ) Need Help??


in reply to Unable to install win32-API-0.41 module on perl 5.6.1.635

Installation procedure: ----------------------- 1. Unpack Win32-API-0.41.tar.gz to a installation directory 2. Open a Windows command window (run c:\WINNT\System32\cmd.exe) 3. cd to the installation directory 4. run "perl Makefile.PL" 5. Setup nmake environment variables by running "C:\Program Files\Microsoft Visual Studio .NET\Common7\Tools\vsvars32.bat" 6. Run "nmake" 7. Open a cygwin windows a) cd to the installation directory b) Run "tar cvf Win32-API-041.tar blib" "gzip --best win32-API-041.tar" c) If cygwin is not installed use 7zip, it is a two-step process "First use 7zip to create the .tar" "Then, using the WinXP context menu entry, add the .tar to a new 7zip archive. Choose the Gzip archive format" 8. Go back to Windows command window 11. Run "nmake ppd" in the installation directory 12. Edit Win32-API.ppd with following line <CODEBASE HREF="Win32-API-041.tar.gz" /> ****************************************** At this point, you have just completed to compile the package. You can repeat following on other computer with the compiled files. ****************************************** 13. To install Win32-API, Run "ppm install Win32-API.ppd" 14. Run "perl -MWin32::API -e 1" to verify the installation. 15. You might need to copy msvcr70.dll to c:\Perl\site\lib\auto\Win32\API\ 16. Installation completed.


Comment on Re: Unable to install win32-API-0.41 module on perl 5.6.1.635
Re^2: Unable to install win32-API-0.41 module on perl 5.6.1.635
by Anonymous Monk on Jan 04, 2013 at 07:33 UTC
    Where did you copy that from?

      I think, U need to learn how to browse Google first before post reply

        I think, U need to learn how to browse Google first before post reply

        Give credit where credit is due :)

Re^2: Unable to install win32-API-0.41 module on perl 5.6.1.635
by PerlRider (Initiate) on Jan 04, 2013 at 07:47 UTC

    Hi Rishi, Thanks for your valuable reply... I am able to install the module with your steps posted. :-)

Log In?
Username:
Password:

What's my password?
Create A New User
Node Status?
node history
Node Type: note [id://1011574]
help
Chatterbox?
and the web crawler heard nothing...

How do I use this? | Other CB clients
Other Users?
Others exploiting the Monastery: (11)
As of 2014-07-14 16:01 GMT
Sections?
Information?
Find Nodes?
Leftovers?
    Voting Booth?

    When choosing user names for websites, I prefer to use:








    Results (268 votes), past polls